{% extends "base.html" %}

{% load i18n %}

{% block content-title %}{% endblock %}

{% block content %}
    <div class="jumbotron p-5">
        <div class="row text-center">
            <h1 class="display-4">
                {% trans "Welcome onto the registration site of the" %}
                <a href="https://eteam.tfjm.org/" target="_blank">ETEAM</a> !
            </h1>
        </div>
    </div>

    <div class="row p-5">
        <div class="col-sm">
            <h3>
                {% trans "You want to participate to the ETEAM ?" %}
                <br/>
                {% trans "Your team is selected and already complete?" %}
            </h3>
        </div>
        <div class="col-sm text-sm-end">
            <div class="btn-group-vertical">
                <a class="btn btn-primary btn-lg" href="{% url "registration:signup" %}" role="button">{% trans "Register now!" %}</a>
                <a class="btn btn-light text-dark btn-lg" href="{% url "login" %}" role="button">{% trans "I already have an account" %}</a>
            </div>
        </div>
    </div>

    <div class="jumbotron p-5 border rounded-5">
        <h5 class="display-4">{% trans "How does it work?" %}</h5>
        <p>
            {% url "registration:signup" as signup_url %}
            {% blocktrans trimmed %}
                To participate to the ETEAM, you must be selected by your national organization.
                If so, you just need to create an account on the <strong><a href="{{ signup_url }}">Registration</a></strong> page.
                You will then have to confirm your email address.
            {% endblocktrans %}
        </p>

        <p class="text-justify">
            {% url "login" as login_url %}
            {% blocktrans trimmed %}
                You can access your account via the <strong><a href="{{ login_url }}">Login</a></strong> page.
                Once logged in, you will be able to create a team or join one already created by one of your comrades
                via an access code that will have been transmitted to you. You will then be invited to submit a right to image authorization,
                essential for the smooth running of the ETEAM. Once your team has at least 4 participants (maximum 6)
                and a supervisor, you can request to validate your team to be able to work on the problems of your choice.
            {% endblocktrans %}
        </p>

        <h2>{% trans "I have a question" %}</h2>

        <p class="text-justify">
            {% blocktrans trimmed %}
                Do not hesitate to consult the <a href="/doc/" target="_blank">documentation</a> of the site, to check if
                the answer is not already there. Also refer of course to the
                <a href="https://eteam.tfjm.org/rules/" target="_blank">ETEAM rules</a>.
                For any other question, do not hesitate to contact us by email at the address
                <a href="mailto:eteam_moc@proton.me ">
                    eteam_moc@proton.me
                </a>.
            {% endblocktrans %}
        </p>
    </div>
{% endblock %}
